package com.pcloud.book.push.enums;

/**
 * @Description 消息推送类型枚举
 * @Author ruansiyuan
 * @Date 2019/4/17 15:41
 */
public enum PushStatusEnum {
    /**
     * 待发送
     */
    WAIT(0),
    /**
     * 发送中
     */
    PUSHING(1),
    /**
     * 发送成功
     */
    SUCCESS(2),
    /**
     * 发送失败
     */
    FAIL(3),
    /**
     * 部分成功
     */
    PART_SUCCESS(4);

    public final Integer value;

    PushStatusEnum(Integer value) {
        this.value = value;
    }
}
